%define oname   icalendar

Name:       ruby-%{oname}
Version:    1.1.6
Release:    %mkrel 1
Summary:    This is a Ruby library for dealing with iCalendar files
License:    GPLv2+
Group:      Development/Ruby
URL:        http://github.com/sdague/icalendar
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rubyforge) >= 2.0.3
BuildRequires: rubygem(gemcutter) >= 0.3.0
BuildRequires: rubygem(hoe) >= 2.5.0
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
This is a Ruby library for dealing with iCalendar files.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/History.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/PostInstall.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/website/index.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
ruby -I"lib:test" -e "require 'test/unit'; Dir.glob('test/**/test_*').each {|t| require t}"

%clean
rm -rf %{buildroot}



%changelog
* Sat Apr 16 2011 shikamaru <shikamaru> 1.1.6-1.mga1
+ Revision: 86534
- new version 1.1.6

* Sat Feb 12 2011 shikamaru <shikamaru> 1.1.5-2.mga1
+ Revision: 50822
- fix failed test
- imported package ruby-icalendar


* Sat Feb 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.1.5-2mdv2011.0
- Initial package

* Sat Dec 04 2010 Rémy Clouard <shikamaru@mandriva.org> 1.1.5-1mdv2011.0
+ Revision: 609455
- import rubygem-icalendar

